Skip to main content
GET
Compare an application version with the tracked branch

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string<uuid>
required

Query Parameters

image_tag
string
required
Pattern: ^sha-[a-f0-9]{7,40}$

Response

Read-only source evidence

branch
string
required
checked_at
string<date-time>
required
commit_sha
string | null
required
Pattern: ^[a-f0-9]{40}$
commits_ahead
integer | null
required
Required range: x >= 0
commits_behind
integer | null
required
Required range: x >= 0
head_sha
string | null
required
Pattern: ^[a-f0-9]{40}$
image_tag
string
required
Pattern: ^sha-[a-f0-9]{7,40}$
repository_id
string<uuid>
required
state
enum<string>
required
Available options:
current,
behind,
ahead,
diverged,
unrecorded,
ambiguous,
unavailable,
unsupported